| index

Package mip_tripartite

Program units

tripartite_region | Is the given postcode within a Tripartite region?
tripartite_member | Is the given supplier (party) a Tripartite member?
enquiry_allowed | Is the given supplier (party) allowed to submit a particular enquiry type for the given region?
enquiry_allowed | Is the given enquiry allowed under Tripartite arrangements?
addons_allowed | Is the given enquiry allowed to request the addons under Tripartite arrangements?
valid_enquiry | Is the given enquiry valid with respect to the Tripartite arrangements?

Types

t_tab_messages |

t_tab_messages

    TYPE t_tab_messages IS TABLE OF VARCHAR(240) INDEX BY BINARY_INTEGER;

tripartite_region

    FUNCTION tripartite_region(p_postcode IN VARCHAR2) RETURN BOOLEAN

Is the given postcode within a Tripartite region?

Parameters

| p_postcode | the postcode to be checked

Returns

| TRUE if within a Tripartite region

tripartite_member

    FUNCTION tripartite_member(p_supp_prty_id IN parties.id%TYPE)
      RETURN BOOLEAN

Is the given supplier (party) a Tripartite member?

Parameters

| p_prty_id | the prty_id of the supplier to be checked

Returns

| TRUE if a Tripartite member

enquiry_allowed

    FUNCTION enquiry_allowed(p_supp_prty_id IN parties.id%TYPE
                            ,p_enty_code    IN enquiry_types.code%TYPE
                            ,p_regi_code    IN regions.code%TYPE)
      RETURN BOOLEAN

Is the given supplier (party) allowed to submit a particular enquiry type for the given region?

Parameters

| p_supp_prty_id | the id of the supplier to be checked
| p_enty_code | the enquiry type to be checked
| p_regi_code | the region to be checked against

Returns

| TRUE if the enquiry is allowed

enquiry_allowed

    FUNCTION enquiry_allowed(p_enqu_id IN enquiries.id%TYPE) RETURN BOOLEAN

Is the given enquiry allowed under Tripartite arrangements?

Parameters

| p_enqu_id | the id of the enquiry to be checked

Returns

| TRUE if the enquiry is allowed

addons_allowed

    FUNCTION addons_allowed(p_enqu_id      IN enquiries.id%TYPE
                           ,p_tab_messages IN OUT t_tab_messages)
      RETURN BOOLEAN

Is the given enquiry allowed to request the addons under Tripartite arrangements?

Parameters

| p_enqu_id | the id of the enquiry to be checked

Returns

| TRUE if the enquiry is allowed

valid_enquiry

    FUNCTION valid_enquiry(p_enqu_id      IN enquiries.id%TYPE
                          ,p_tab_messages OUT t_tab_messages) RETURN BOOLEAN

Is the given enquiry valid with respect to the Tripartite arrangements?

Parameters

| p_enqu_id | the id of the enquiry to be checked
| p_tab_messages | reasons for the enquiry not being valid

Returns

| TRUE if the enquiry is valid